LoginAction

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.server
Class LoginAction

    java.lang.Object
      org.openswing.swing.server.LoginAction

All Implemented Interfaces:
  Action

Direct Known Subclasses:
  NoLoginAction

public abstract class LoginAction
extends java.lang.Object
implements Action

Title: OpenSwing Framework

Description: Base action class for login operation.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`LoginAction()`

Method Summary

`abstract Response`

`executeCommand(java.lang.Object inputPar, UserSessionParameters userSessionPars, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpSession userSession, javax.servlet.ServletContext context)`
Login operation.

`java.lang.String` | `getRequestName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginAction

    public LoginAction()

Method Detail

### getRequestName

    public final java.lang.String getRequestName()

  Specified by:
    `getRequestName` in interface `Action`
  Returns:
    request name

### executeCommand

    public abstract Response executeCommand(java.lang.Object inputPar,
                                            UserSessionParameters userSessionPars,
                                            javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response,
                                            javax.servlet.http.HttpSession userSession,
                                            javax.servlet.ServletContext context)

  Login operation.

  Specified by:
    `executeCommand` in interface `Action`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD